<HTML>
<HEAD>

<TITLE>Common HEP UNIX User Environment - Combinatorics (27-Jun-1996)</TITLE>
<!-- Changed by: Arnaud Taddei, 27-Jun-1996 -->

</HEAD>
<BODY>

<H1>Common HEP UNIX User Environment - Combinatorics</H1>

<HR>

Few comments about combinatorics. The aim of this project is clearly not 
modest.  If you simply consider the following attempt to measure the 
"combinatorics" and the complexity:


Multidimensional problem
<PRE>
	Complexity = M x G x W x S x K x Cxt x Tty x O
</PRE>

where

<PRE>
M:	number of machines and UNIX platforms
        AIX, HP-UX, SunOS, Solaris 2, IRIX, ULTRIX, OSF/1, Convex, (Linux ?)
G:	number of desktop types 
        Plain Motif, Openwin and desktops like COSE and HP-VUE
W:	number of window managers
        mwm, twm, fvwm, dtwm, etc.
S:	number of shells
        sh, csh, ksh, bash, tcsh, zsh
K:	number of keyboards
	PC-like, NCD-like, VT-like, HP-like, SunOS-like, etc.
Cxt:	number of contexts 
	telnet, rlogin, klogin, rsh, etc.
Tty:	number of terminal emulator types
        VT100, VT200, xterm, etc.
O:	other factors 
	number of terminal devices, network aspects, etc.
</PRE>

Then the complexity represents a bog number of different <B>behaviours</B>!
 <P>
But, we need something, otherwise, it will take a great amount of time
for each user to set a proper and consistent environment
<HR>

<ADDRESS> <A Name=Signature HREF="http://xwho.cern.ch/WHO/people/26840">Arnaud Taddei</A>, 27-Jun-1996</ADDRESS>
</BODY>
</HTML>